import _ from 'lodash';

// Redux-api transformer — do not transform model on DELETE/POST repies and on empty reply
export default (response, model, options) => {
	const
		data = _.get(response, 'data');

	if(!data || _.get(options, 'request.params.method') === 'DELETE')
		return {};

	// In POST response server returns just _id — do not apply model transformations
	if(data && _.get(options, 'request.params.method') === 'POST')
		return data;

	return model(data);
}
